<?php
/**
 * Plugin Name:       Maintenance Mode Under Construction Page Landing Page
 * Description:       Site is under development then use this plugin to display a maintenance mode and under construction Page to your visitors.
 * Version: 		  1.1.10
 * Text Domain: 	  RMMUC_TEXT_DOMAIN
 * Domain Path: 	  /languages 
 * Author: 			  Weblizar
 * Author URI:        http://weblizar.com/plugins/responsive-maintenance-mode-and-under-construction-page/
 * Plugin URI:        http://weblizar.com/plugins/responsive-maintenance-mode-and-under-construction-page/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Copyright 2016 Weblizar (email : lizarweb@gmail.com, twitter : @weblizar)
 */

/**
 * Default Constants
 */
define( 'RMMUC_SHORTNAME', 'rmmuc_weblizar' ); // Used to reference name space functions.
define( 'RMMUC_SLUG', 'responsive-maintenance-mode-and-under-construction-page/responsive-maintenance-mode-and-under-construction-page.php' ); // Used for settings link.
define( 'RMMUC_TEXT_DOMAIN', 'RMMUC_TEXT_DOMAIN' ); // Your text domain
define( 'RMMUC_PLUGIN_NAME', __( 'Responsive Maintenance Mode and Under Construction Page', 'RMMUC_TEXT_DOMAIN' ) ); // Plugin Name shows up on the admin settings screen.
define( 'RMMUC_VERSION', '1.1.10'); // Plugin Version Number
define( 'RMMUC_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'RMMUC_PLUGIN_URL', plugin_dir_url( __FILE__ ) ); 
define( 'RMMUC_DBROWNAME', 'weblizar_rmmuc_options' );
include 'options/option-panel.php';
include 'options/default-options.php'; 

add_action('plugins_loaded', 'rmmuc_Language_Translater');
function rmmuc_Language_Translater() {
	load_plugin_textdomain(RMMUC_TEXT_DOMAIN, FALSE, dirname( plugin_basename(__FILE__)).'/languages' );
}

/**
 * Function to create table for subscriber
 */
function rmmuc_callback_plugin_subscriber() {
	global $wpdb;
	$table_name = $wpdb->prefix . 'rmmuc_subscribers';
	$charset_collate = $wpdb->get_charset_collate();
	$sql = "CREATE TABLE IF NOT EXISTS $table_name (
	id int NOT NULL AUTO_INCREMENT,
	f_name VARCHAR(255) NOT NULL,
	l_name VARCHAR(255) NOT NULL,
	email VARCHAR(255) NOT NULL,
	date timestamp,
	act_code VARCHAR(255) NOT NULL,
	extra_detail text,
	flag int,
	UNIQUE KEY id (id)
	) $charset_collate;";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
}

register_activation_hook( __FILE__,'rmmuc_callback_plugin_subscriber');

/**
 * Function to redirect to maintenance mode page 
 */
function rmmuc_maintenance_mode_template_redirect() {
	if ( isset( $_GET['act_code'] ) ) {
		global $wpdb; // this is how you get access to the database
		$code = $_GET['act_code'];
		$email = $_GET['email'];
		$table_name = $wpdb->prefix . 'rmmuc_subscribers';

		$update_table = $wpdb->update( $table_name, array( 'flag' => 1 ), array( 'email' => $email ) );
		if ( $update_table ) {
			wp_redirect( home_url() );
			exit;
		} else {
			wp_redirect( home_url() );
			exit;
		}
	} else {
		include_once( 'options/include/redirect.php' );
	}
}
add_action( 'template_redirect','rmmuc_maintenance_mode_template_redirect');

function weblizar_rmmuc_activation(){
	$weblizar_rmmuc_default_settings = weblizar_rmmuc_default_settings();
	$weblizar_rmmuc_saved_theme_settings = get_option('weblizar_rmmuc_options'); // get existing option data 		
	if($weblizar_rmmuc_saved_theme_settings) {
		$weblizar_rmmuc_saved_theme_settings = array_merge($weblizar_rmmuc_default_settings, $weblizar_rmmuc_saved_theme_settings);
		update_option('weblizar_rmmuc_options', $weblizar_rmmuc_saved_theme_settings);	// Set existing and new option data			
	} else {
		add_option('weblizar_rmmuc_options', $weblizar_rmmuc_default_settings);  // set New option data 
	}
}
register_activation_hook( __FILE__,'weblizar_rmmuc_activation');
// Do redirect when Plugin activate
function rmmuc_nht_plugin_activate() {
	add_option('rmmuc_nht_plugin_do_activation_redirect', true);
}

function rmmuc_nht_plugin_redirect() {
	if (get_option('rmmuc_nht_plugin_do_activation_redirect', false)) {
		delete_option('rmmuc_nht_plugin_do_activation_redirect');
		if(!isset($_GET['activate-multi'])) { 
			wp_redirect("admin.php?page=rmmuc-weblizar");
		}
	}
}
register_activation_hook(__FILE__, 'rmmuc_nht_plugin_activate');

add_action('admin_init', 'rmmuc_nht_plugin_redirect');
?>